Skip to content
Permalink
Branch: master
Commits on Mar 14, 2019
Commits on Mar 12, 2019
  1. Update packages/ember-cli-eyeglass/README.md

    chriseppstein and stefanpenner committed Mar 12, 2019
    Co-Authored-By: stefanpenner <stefan.penner@gmail.com>
Commits on Mar 10, 2019
Commits on Mar 8, 2019
Commits on Mar 7, 2019
Commits on Mar 1, 2019
  1. Release eyeglass 2.2.1.

    chriseppstein committed Mar 1, 2019
  2. Merge pull request #219 from linkedin/better_module_lookup_by_path

    chriseppstein committed Mar 1, 2019
    Don't use package.json files to locate a module from the directory structure.
Commits on Feb 28, 2019
  1. dirname is slightly more efficient than resolve.

    chriseppstein committed Feb 28, 2019
  2. Don't use the presence of a package.json file to locate a module from…

    chriseppstein committed Feb 28, 2019
    … the directory structure.
    
    This is more efficient because it avoids a lot of filesystem access.
    This also works around an issue in ember-cli where package.json files
    seem to go missing during the build.
Commits on Feb 27, 2019
  1. force ember to not use system temp for now.

    chriseppstein committed Feb 27, 2019
  2. [ember-cli-eyeglass] eyeglass dependency is now ^2.2. broccoli-eyegla…

    chriseppstein committed Feb 27, 2019
    …ss dep is ^5.0.0. Requires major version bump for ember-cli-eyeglass to 6.0.0
  3. [broccoli-eyeglass] eyeglass dependency is now ^2.2. Requires major v…

    chriseppstein committed Feb 27, 2019
    …ersion bump for broccoli-eyeglass to 5.0.0
Commits on Feb 26, 2019
  1. Remove obsolete TODOs.

    chriseppstein committed Feb 26, 2019
  2. [eyeglass] Rewrite findBranchesByPath for clarity and to make fewer a…

    chriseppstein committed Feb 26, 2019
    …llocations.
Commits on Feb 25, 2019
  1. Fix import location.

    chriseppstein committed Feb 25, 2019
Commits on Feb 23, 2019
  1. [eyeglass] Bump version to 2.2.

    chriseppstein committed Feb 23, 2019
Commits on Feb 22, 2019
  1. [eyeglass] Add assertEyeglassCompatibility option.

    chriseppstein committed Feb 22, 2019
    This adds support for an option that asserts eyeglass addon
    compatibility and defaults to 2.0 being compatible with 1.x. This option
    is only used if it would make a newer version of eyeglass compatible
    compared to what's in the needs field. This protects against the future
    use case where eyeglass 2.x is old and 3.x is already released and some
    addons require it.
Commits on Feb 21, 2019
Commits on Feb 20, 2019
Commits on Feb 19, 2019
  1. [ember-cli-eyeglass] Bump version to 5.1.1.

    chriseppstein committed Feb 19, 2019
  2. [ember-cli-eyeglass] Version bump to 5.1.0.

    chriseppstein committed Feb 19, 2019
  3. Skip hashing for files that won't ever exist, don't create an empty a…

    chriseppstein committed Feb 19, 2019
    …rray just to discard it.
Older
You can’t perform that action at this time.